accounts/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('register/', views.registerPage, name='register'),
    path('login/', views.loginPage, name='login'),
    path('logout/', views.logoutPage, name='logout'),
]

d06_project/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('workout/', include(('workout.urls', 'workout'), namespace='workout')),
    path('', include(('main.urls','main'), namespace='main')),
    path('forum/', include(('forum.urls', 'forum'), namespace='forum')),
    path('accounts/', include(('accounts.urls', 'accounts'), namespace='accounts')),
    path('recipe/', include(('recipe.urls', 'recipe'), namespace='recipe')),
    path('covid-19/', include('data_covid.urls', namespace='data_covid')),
    path('comment/' , include(('commentrecipe.urls', 'commentrecipe'), namespace='commentrecipe')),
    path('replyforum/' , include(('replyforum.urls', 'replyforum'), namespace='replyforum'))
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

data_covid/urls.py
from django.urls import path
from .views import data_covid, ajax_data

app_name='data_covid'

urlpatterns = [
    path('', data_covid, name='data_covid'),
    path('ajax/get_data', ajax_data, name='ajax_data'),
]

forum/urls.py
from django.urls import path
from .views import forum
from replyforum.views import createpost, replyforum, editpost, deletepost, pinpost

app_name='forum'

urlpatterns = [
    path('', forum, name='forum'),
    path('create-new-post', createpost, name='createpost'),
    path('reply-a-post', replyforum, name='replyforum'),
    path('edit-a-post', editpost, name='editpost'),
    path('delete-a-post', deletepost, name='deletepost'),
    path('pin-a-post', pinpost, name='pinpost'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

workout/urls.py
from django.urls import path
from .views import index, add_video

urlpatterns = [
    path('', index, name='index'),
    path('add', add_video)
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <!DOCTYPE html>
  <html lang="en">
  <link rel="shortcut icon" type="image/jpg" href="https://live.staticflickr.com/65535/51635309321_fd2dac2c68_o.png"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!-- Bootstrap and google font -->
  <link href="https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Mr+Dafoe&family=Sora:wght@200;400&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <!-- Script in order for navbar toggler to work -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  
  <link rel="stylesheet" href="{% static 'css/base_styling.css' %}"/>
  {% block meta %}
  {% endblock meta %}
</head>
<body>  
  {% include 'navbar.html' %}
  {% block content %}
  
  {% endblock content %}
  <!-- Bootstrap bundle with popper -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
  
  <!-- jquery -->
  <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
  {% block js %}
  
  {% endblock js %}
</body>

</html>

templates/navbar.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<body>
    <link rel="stylesheet" href="{% static 'css/navigationbar.css' %}"/>

    <nav class="navbar d06-navbar p-0 navbar-expand-md fixed-top">
        <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand" href="#"><img src="https://live.staticflickr.com/65535/51635309321_fd2dac2c68_o.png"width="60" height="auto" alt="d06"></a>
            </div>

            <button type="button" class="navbar-toggler ml-auto" data-toggle="collapse" data-target="#navmenu">     
                <img src="https://live.staticflickr.com/65535/51635942784_3714b5e98a_o.png" width="18" height="12" alt="navbar">
            </button>
        <div class="collapse navbar-collapse" id="navmenu">
            <ul class="nav navbar-nav">
                <li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}"><img src="https://live.staticflickr.com/65535/51635292518_7fc6de5a12_o.png" width="16" height="16" alt="homeicon"> Home</a></li>
                <li class="nav-item"><a class="nav-link" href="{% url 'workout:index' %}"><img src="https://i.ibb.co/S3FMmX8/workout.png" alt="workout"style="width:16px;height:16px;"> Workout</a></li>
                <li class="nav-item"><a class="nav-link" href="{% url 'recipe:home' %}"><img src="https://i.ibb.co/y8DgMMX/recipe.png" alt="recipe" style="width:16px;height:16px;"> Recipe</a></li>
                <li class="nav-item"><a class="nav-link" href="{% url 'data_covid:data_covid' %}"><img src="https://i.ibb.co/BNNMDV7/covid.png" alt="covid"style="width:16px;height:16px;"> Covid-19</a></li>
                <li class="nav-item"><a class="nav-link" href="{% url 'forum:forum' %}"><img src="https://i.ibb.co/D5dmPdj/forum.png" alt="forum"style="width:15px;height:15px;"> Forum</a></li>
            </ul>
            <ul class="nav navbar-nav ml-auto">
                {% if request.user.is_authenticated %}
                <li class="nav-item" style="border-right:0px;"><a class="nav-link" href="{% url 'accounts:logout' %}"><img src="https://i.ibb.co/9Hsw4xF/login.png" alt="login" style="width:15px; height:15px;"> Hello, {{request.user}}. Logout</a></li>
                {% else %}
                <li class="nav-item" style="border-right:0px;"><a class="nav-link" href="{% url 'accounts:login' %}"><img src="https://i.ibb.co/9Hsw4xF/login.png" alt="login" style="width:15px; height:15px;"> Login</a></li>
                {% endif %}
            </ul>
        </div>
        </div>
    </nav>
</body>
</html>